# H323_H224Capability Class Reference

`#include <h323h224.h>`

Inheritance diagram for H323_H224Capability:

List of all members.

## Public Member Functions

| H323_H224Capability ()
| ~H323_H224Capability ()
Comparison | Compare (const PObject &obj) const
virtual PObject * | Clone () const
virtual unsigned | GetSubType () const
virtual PString | GetFormatName () const
virtual H323Channel * | CreateChannel (H323Connection &connection, H323Channel::Directions dir, unsigned sesionID, const H245_H2250LogicalChannelParameters *param) const
virtual PBoolean | OnSendingPDU (H245_DataApplicationCapability &pdu) const
virtual PBoolean | OnSendingPDU (H245_DataMode &pdu) const
virtual PBoolean | OnReceivedPDU (const H245_DataApplicationCapability &pdu)

## Detailed Description

This class describes the H.224 capability

## Constructor & Destructor Documentation

H323_H224Capability::H323_H224Capability | ( |  | ) |

H323_H224Capability::~H323_H224Capability | ( |  | ) |

## Member Function Documentation

Comparison H323_H224Capability::Compare | ( | const PObject & | obj | ) | const

Compare two capability instances. This compares the main and sub-types of the capability.

Reimplemented from H323Capability.

virtual PObject* H323_H224Capability::Clone | ( |  | ) | const`[virtual]`

virtual unsigned H323_H224Capability::GetSubType | ( |  | ) | const`[virtual]`

Get the sub-type of the capability. This is a code dependent on the main type of the capability.

Implements H323Capability.

virtual PString H323_H224Capability::GetFormatName | ( |  | ) | const`[virtual]`

Get the name of the media data format this class represents.

Implements H323Capability.

virtual H323Channel* H323_H224Capability::CreateChannel | ( | H323Connection & | connection,
|  | H323Channel::Directions | dir,
|  | unsigned | sesionID,
|  | const H245_H2250LogicalChannelParameters * | param |
| ) |  |  | const`[virtual]`

Create the channel instance, allocating resources as required. This creates a logical channel object appropriate for the parameters provided. Not if param is NULL, sessionID must be provided, otherwise this is taken from the fields in param.

Implements H323Capability.

virtual PBoolean H323_H224Capability::OnSendingPDU | ( | H245_DataApplicationCapability & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing TerminalCapabilitySet or OpenLogicalChannel PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour is pure.

Reimplemented from H323DataCapability.

virtual PBoolean H323_H224Capability::OnSendingPDU | ( | H245_DataMode & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing RequestMode PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour sets the PDUs tag according to the GetSubType() function (translated to different enum).

Implements H323DataCapability.

virtual PBoolean H323_H224Capability::OnReceivedPDU | ( | const H245_DataApplicationCapability & | pdu | ) | `[virtual]`

This function is called whenever and incoming TerminalCapabilitySet or OpenLogicalChannel PDU has been used to construct the control channel. It allows the capability to set from the PDU fields, information in members specific to the class.

The default behaviour is pure.

Reimplemented from H323DataCapability.

The documentation for this class was generated from the following file:

- h323h224.h